#!/bin/sh

# # # # # # # # # # # # # # # # # # # # # #
# @author : wangjf
# @date : 2019-02-27 11:24:06
# # # # # # # # # # # # # # # # # # # # # #

# @update : wangjf

source ../dmp_env.sh

LOG_TIME=$(date -d "$ScheduleTime 1 days ago" +"%Y%m%d")
dt=$(date -d "$ScheduleTime 1 days ago" +"%Y-%m-%d")

date_path=$(date -d "$ScheduleTime 1 days ago" +"%Y/%m/%d")
old_date_path=$(date -d "$ScheduleTime 2 days ago" +"%Y/%m/%d")

echo ${date_path}
echo ${old_date_path}

INPUT_PATH="${BYTEDANCE_DAILY_PATH}/$date_path"

OLD_INPUT_PATH="${DM_INSTALL_LIST}/$old_date_path/bytedance"
OUTPUT_PATH="${DM_INSTALL_LIST}/$date_path/bytedance"

check_await "$INPUT_PATH/_SUCCESS"
check_await "$OLD_INPUT_PATH/_SUCCESS"

hadoop fs -rm -r "$OUTPUT_PATH/"

spark-submit --class mobvista.dmp.datasource.bytedance.ByteDanceInstallList \
 --conf spark.yarn.executor.memoryOverhead=2048  \
 --conf spark.network.timeout=720s \
 --conf spark.default.parallelism=100 \
 --master yarn --deploy-mode cluster --name bytedance_install_wangjf --executor-memory 4g --driver-memory 4g  --executor-cores 2  --num-executors 30 \
 ../${JAR} -input ${INPUT_PATH} -oldInput ${OLD_INPUT_PATH} -output ${OUTPUT_PATH} -date ${dt} -parallelism 100 -coalesce 100


if [ $? -ne 0 ];then
  exit 255
fi

mount_partition "dm_install_list" "year='${LOG_TIME:0:4}', month='${LOG_TIME:4:2}', day='${LOG_TIME:6:2}', business='bytedance'" "$OUTPUT_PATH"